DINSAS INTERFACE

This file explains briefly the meaning and function of DINSAS Interface controls.
For more details, and for description of DINSAS package, see the User's Guide.

Button functions:
- Select (Geometry File), Select (Loading File) and Recent buttons display a dialog box for selecting files.
- Every other button launches a program. All programs, except DIN, run in a separate process, and can be launched concurrently. For DIN program, the user have to wait for its termination.

The controls are grouped in the following groups:


Din

DIN Group

Geometry File

Edit Box to input Geometry File specification (full path).
Geometry File contains geometry and mechanical structure data.

Select (Geometry File)

Opens a standard dialog box to select Geometry File.

Recent

Opens a dialog box to select Geometry File among the most recent five files used previously.

Preview

Launches PREVIEW - a simplified version of NGRAF - to preview the structure defined by the selected Geometry File.

Loading File

Edit Box to input Loading File specification (full path).
Loading File contains loading cases data.
Default: Geometry File name + extension ".inc".

Note: When selecting Geometry File, the default Loading File is displayed in the box labeled “Loading File”.

DIN program checks the existence of the file displayed in this Edit Box. If the file is not found: DIN pops up a warning message; answering by RETRY, DIN displays a selection window for Loading File.

Select (Loading File)

Opens a standard dialog box to select Loading File.

Output File

Edit Box to input Output File specification (full path).
Default: Loading File name + extension ".rez".

Output File Language

Combo Box allowing the selections for the output file language:
- English
- Romanian
The default is the last language used previously. For the first use, it defaults to English.

Notes:

  • Language setting has effect on output file language only if done before running INPUT.
  • The set language also serves as default language for all post-processors.

DIN Program

DIN is the core program, performing the following tasks:
- Processes data in Geometry File.
- Processes data in Loading File.
- Integrates the motion differential equations by a direct integration operator: Newmark, or authos's 3rd order operator, according to method code specified in Loading File. A monitor window shows the iteration progress.
- Writes the results to Output File, according to output code specified in Loading File.

DIN creates work files (unformatted structure, extension = ".unf") in the following directory: c:\Dinsas\work\name\Casei - where "name" is the name of Geometry File and "i" is the loading case index. These work files are used by post processors and MOTION.
Note: If DINSAS package is installed in another directory than c:\Dinsas, the above specification c:\Dinsas is replaced by Drive:\Installation_Directory.


Post Processors

POST Processors Group

Six post processors are available to retrieve or produce output data after the iteration has been performed (DIN Program finished). They are launched by the above buttons.
The post processors launched by Motion, Stress/Axial Force, and Reaction, produce output files to be used with GRAPH program to draw time-history for: node motion, stress/axial force, and reaction, respectively.

Motion

Launches EXK (EXit Kinematics): it produces output files containing data of node motion history, for specified nodes and time interval, namely: Displacement; Velocity; Plane Phase; Acceleration.

Stress/Axial Force

Launches EXT (EXit Tension): it produces output files containing data of element stress or axial force history, for specified elements and time interval.

Reaction

Launches EXR (EXit Reaction): it produces output files containing data of reactions history, for specified support nodes and time interval.

Time History

Launches EXH (EXit History): it produces an output file containing history of: displacement, velocity, and acceleration - for specified nodes; stress and axial force - for specified elements. All data, over a specified time interval.

Maximum Values (All)

Launches EXM (EXit Maximum): it produces an output file containing the global extreme values of node displacement, velocity, and acceleration, and element stress. The extreme values are listed over the entire integration interval, for all nodes and all elements. The output file lists also slack and broken elements, if any.

MAX Processor

Launches MaxProcessor. This one allows to retrieve, via three tab controls, the following extreme values, counted on the entire integration interval :
- Extreme displacement of a node (selected from node list). Maximum and minimum of node displacement - over all nodes.
- Extreme stress in an element (selected from element list) and the corresponding axial force. Maximum and minimum of element stress - over all elements.
- Extreme reactions in a support node (selected form support node list).
The output values can be saved, optionally, in an output file.


CREATE

This group offers two programs to automatically create the needed input files.
Both programs allow creation by loading an old file and modifying it, or by direct data input - for a new file.

Geometry File

Launches Create_GeometryFile to create the Geometry File.

Loading File

Launches Create_LoadingFile to create the Loading File.


Graph

GRAPH Processors

Structure Graph

Launches NGRAF to draw the structure graph. Th. structure is defined by its Geometry file, selected via a dialog box displayed by NGRAF.
The graph is drawn according to the settings allowed by NGRAF, namely: axis orientation, structure drawing, and font style. Zoom is allowed, either via node range specification, or by mouse selection of a graph area.

Structure Motion

Launches MOTION to draw the structure motion graph, in a loading case, for a specifyied time interval (at most the computed response time). The loading case is defined by selecting the corresponding working directory, via the dialog box displayed by MOTION.
The motion graph is drawn according to the settings allowed by MOTION, namely: time setting, axis orientation and drawing settings.


Text

TEXT Processors

File

The list box allows to select a file to be viewed or edited, among the following items:
- Geometry File
- Loading File
- Output file
- New File
A double-click on an item is equivalent to pushing View/Edit button - see below.

View / Edit

Launches NOTEPAD to open the file selected in the list File.

Print

Launches WinPrint, to print the selected file. Font type and size can be selected. The Print Dialog Box is displayed.

User's Guide

Launches WinWord and opens the User's Guide: this is Dinsas-xx.doc file, located in c:\Dinsas\Doc\, where "xx" stands for "ro" or "en", for the Romanian or English edition, respectively.
The edition is commanded by the language selection in Output File Language combo box.
If the wanted edition is not available, a message box proposes to open the existing edition.
If both editions are missing from c:\Dinsas\Doc directory: Dinsas displays a warning message inviting the user to locate himself the file and opens WinWord with a blank document.


Help, About and EXIT

Help

Displays this file.

About

Displays information about NELSAS package.

EXIT

Exits DINSAS execution.


Enable

Post Processors and Motion buttons are initially disabled. They are enabled by running DIN Program.
Checking this check box, enables the above buttons to be used with a problem already run.